microsoft-foundry.rest.security.o-auth2-auth
Datasets
Create or update a version
PATCH
/datasets/{name}/versions/{version}
Create a new or update an existing DatasetVersion with the given version id
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
경로 매개 변수
name
string
필수
The name of the resource
version
string
필수
The specific version id of the DatasetVersion to create or update.
요청 본문
The DatasetVersion to create or update.
Content-Type: application/merge-patch+json
(다음 버전 중 하나)
uri_file
FileDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
필수
Dataset type
uri_file
uri_folder
FolderDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
필수
Dataset type
uri_folder
응답
The request has succeeded.
본문
Content-Type: application/json
(다음 버전 중 하나)
uri_file
FileDatasetVersion
FileDatasetVersion Definition
type
enum
필수
Dataset type
uri_file
uri_folder
FolderDatasetVersion
FileDatasetVersion Definition
type
enum
필수
Dataset type
uri_folder
요청
PATCH /datasets/{name}/versions/{version} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json